Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CONV_FRAME
Class CodeSetComponent

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetComponent

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class CodeSetComponent
extends java.lang.Object
implements IDLEntity

Struct definition : CodeSetComponent

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`int[]` | `conversion_code_sets` Struct member conversion_code_sets
`int` | `native_code_set` Struct member native_code_set

Constructor Summary
`CodeSetComponent()` Default constructor
`CodeSetComponent(int native_code_set, int[] conversion_code_sets)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### native_code_set

    public int native_code_set

  Struct member native_code_set

### conversion_code_sets

    public int[] conversion_code_sets

  Struct member conversion_code_sets

Constructor Detail

### CodeSetComponent

    public CodeSetComponent()

  Default constructor

### CodeSetComponent

    public CodeSetComponent(int native_code_set,
                            int[] conversion_code_sets)

  Constructor with fields initialization
  Parameters:
    `native_code_set` - native_code_set struct member
    `conversion_code_sets` - conversion_code_sets struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD